Strategy / REST API
Update gtm asset candidate
Edit an unapproved GTM asset candidate, or create a superseding version when the selected asset is immutable.
PATCH /api/v1/gtm-assets/{kind}/{id}Deterministic operationParameters
workspaceIdRequired · string- See the input schema for this field.
offeringIdRequired · string- See the input schema for this field.
kindRequired · string- See the input schema for this field.offer · lead_magnet
idRequired · string- See the input schema for this field.
expectedUpdatedAtRequired · string- See the input schema for this field.
candidateRequired · object- See the input schema for this field.
offerTypeOptional · string- See the input schema for this field.direct_offer · front_end_offer · trial
curl -X PATCH "https://app.pipeline.help/api/v1/gtm-assets/offer/00000000-0000-4000-8000-000000000000" \
-H "Authorization: Bearer $PIPELINE_API_KEY" \
-H "Content-Type: application/json" \
-d '{"workspaceId":"00000000-0000-4000-8000-000000000000","offeringId":"00000000-0000-4000-8000-000000000000","expectedUpdatedAt":"2026-01-01T00:00:00.000Z","candidate":{}}'Full input schema
{
"type": "object",
"properties": {
"workspaceId": {
"type": "string"
},
"offeringId": {
"type": "string"
},
"kind": {
"type": "string",
"enum": [
"offer",
"lead_magnet"
]
},
"id": {
"type": "string"
},
"expectedUpdatedAt": {
"type": "string",
"format": "date-time"
},
"candidate": {
"type": "object",
"additionalProperties": true
},
"offerType": {
"type": "string",
"enum": [
"direct_offer",
"front_end_offer",
"trial"
]
}
},
"required": [
"workspaceId",
"offeringId",
"kind",
"id",
"expectedUpdatedAt",
"candidate"
],
"additionalProperties": false
}